'use strict';

var notificationId = "";

chrome.runtime.onMessage.addListener((message)=> {

    chrome.storage.sync.get(['isOn'], (result)=> {
    
     
      if(result.isOn && message.text){  
        const date = new Date();
        var hours = date.getHours();
        var minutes = date.getMinutes();
        if(hours<10){
          hours="0"+hours;
        }
        if(minutes<10){
          minutes="0"+minutes;
        }
        const dateStr = hours +":"+minutes;

        chrome.notifications.clear(notificationId);  
        chrome.notifications.create({
          type:     'basic',
          iconUrl:  './images/icon48.png',
          title:    'Monitor ' + dateStr + ' ' + message.title,
          message:  message.text,
          priority: 0
        }, (id)=>{notificationId = id;});
      }
    });
});