
'use strict';

function I(id){
	return document.getElementById(id);
}

function setIsOn(isOn, closeWindow) {
  chrome.browserAction.setBadgeText({text: isOn ? 'ON' : ''});
  chrome.storage.sync.set({isOn: isOn});

  chrome.tabs.query({active: true, currentWindow: true}, (tabs)=> {
	  chrome.tabs.sendMessage(tabs[0].id, {isOn: isOn});
	});
  I('is-on-'+isOn).style.display    = "none";
  I('is-on-'+!isOn).style.display = "block";

  if(closeWindow){
  	setTimeout(()=>window.close(),300);
  }
}

window.addEventListener('DOMContentLoaded', () => {
  chrome.storage.sync.get(['isOn'], (result)=> {
		setIsOn(result.isOn || false);
	});

	I('is-on-true').addEventListener('click', ()=>setIsOn(true, "closeWindow"));
	I('is-on-false').addEventListener('click', ()=>setIsOn(false, "closeWindow"));
});