'use strict';

var checkInterval = null;
var elements = null;

function setCheckInterval(){
	clearCheckInterval();
	checkInterval = setInterval(()=>{
		try{
			elements = config[location.href];
			if(elements){
				let text = '';
				elements.forEach((element)=>{
					text += getElementText(element);
				})

				if(text){
					chrome.runtime.sendMessage({title: location.host, text: text});
				}
			}

		}catch(er){
			clearCheckInterval();
		}
	},3000);
}

function clearCheckInterval(){
	clearInterval(checkInterval);
}

function getElementText(element){
	const {value, condition} = element;
	let currentValue = $(element.jquery).eq(0).html();
	if(condition == '<' || condition == '>'){
		currentValue = parseFloat(currentValue.replace(/,/g, ""));
	}
	let text = '';

	if(condition == '=' && currentValue == value){
		text = ' = ' + value;
	}else if(condition == '<' && currentValue < parseFloat(value)){
		text = ' < ' + value;
	}else if(condition == '>' && currentValue > parseFloat(value)){
		text = ' > ' + value;
	}
	
	if(text){
		text = element.title+' '+text+'\n';
	}
	return text;	
}

//events
chrome.storage.sync.get(['isOn'], (result)=> {
	if(result.isOn){
		setCheckInterval();
	}else{
		clearCheckInterval();
	};
});

chrome.runtime.onMessage.addListener((message)=> {
	if(message.isOn == true){
		setCheckInterval();
	}else if(message.isOn == false){
		clearCheckInterval();
	}
});



